.custom-style {
  height: 15rem;
  overflow: hidden;
  text-overflow: ellipsis;
  /* Agrega otros estilos aquí */
}


.noticias {
  text-align: justify;
}

.container-card {
  display: flex;
  max-width: 1100px;
  margin: auto;
}

.title-cards {
  width: 100%;
  max-width: 1080px;
  margin: auto;
  padding: 20px;
  margin-top: 20px;
  text-align: center;
  color: #7a7a7a;
}

.card {
  width: 100%;
  margin: 20px;
  border-radius: 6px;
  overflow: hidden;
  background: #fff;
  box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.2);
  transition: all 400ms ease-out;
  cursor: default;
}

.card:hover {
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.4);
  transform: translateY(-3%);
}

.card img {
  width: 100%;
  height: 210px;
}

.card .contenido-card {
  padding: 15px;
  text-align: center;
}

.card .contenido-card h3 {
  margin-bottom: 15px;
  color: #7a7a7a;
}

.card .contenido-card p {
  line-height: 1.8;
  color: #6a6a6a;
  font-size: 14px;
  margin-bottom: 5px;
}

.card .contenido-card a {
  display: inline-block;
  padding: 10px;
  margin-top: 10px;
  text-decoration: none;
  color: #0d6efd;
  border: 1px solid #0d6efd;
  border-radius: 4px;
  transition: all 400ms ease;
  margin-bottom: 5px;
}

.card .contenido-card a:hover {
  background: #0d6efd;
  color: #fff;
}

@media only screen and (min-width:320px) and (max-width:768px) {
  .container-card {
    flex-wrap: wrap;
  }

  .card {
    margin: 15px;
  }
}


@font-face {
  font-family: Poppins-Regular;
  src: url('http://localhost/escuela/libs/fuentes/poppins/Poppins-Regular.ttf');
}

@font-face {
  font-family: Poppins-Medium;
  src: url('http://localhost/escuela/libs/fuentes/poppins/Poppins-Medium.ttf');
}

@font-face {
  font-family: Poppins-Bold;
  src: url('http://localhost/escuela/libs/fuentes/poppins/Poppins-Bold.ttf');
}

@font-face {
  font-family: Poppins-SemiBold;
  src: url('http://localhost/escuela/libs/fuentes/poppins/Poppins-SemiBold.ttf');
}




input {
  outline: none;
  border: none;
}

button {
  outline: none !important;
  border: none;
  background: transparent;
}

button:hover {
  cursor: pointer;
}

/*-- contenedor del Login--*/


.wrap-login {
  width: 400px;
  background: #fff;
  border-radius: 20px;
  overflow: hidden;
  padding: 77px 55px 53px 55px;
  -webkit-box-shadow: 25px 40px 28px 0px rgba(0, 0, 0, 0.38);
  /* box-shadow: eje-x | eje-y | blur-radius | color */
}


/*----Formulario de user y password----*/

.login-form {
  width: 100%;
}

.login-form-title {
  display: block;
  font-family: Poppins-Bold;
  font-size: 40px;
  color: #333333;
  line-height: 1.5;
  text-align: center;
}


/*------------------------------------------------------------------
  [ Input ]*/

.wrap-input100 {
  width: 100%;
  position: relative;
  border-bottom: 2px solid #adadad;
  margin-bottom: 37px;
}

.input100 {
  font-family: Poppins-Regular;
  font-size: 15px;
  color: #555555;
  line-height: 1.2;

  display: block;
  width: 100%;
  height: 45px;
  background: transparent;
  padding: 0 5px;
}

/*---------------------------------------------*/
.focus-efecto {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  pointer-events: none;
}

.focus-efecto::before {
  content: "";
  display: block;
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 0;
  height: 4px;
  /*ancho de la linea que hace el efecto de barra de progeso en el input al hacer foco*/

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;

  background: #0d6efd;
  background: -webkit-linear-gradient(left, #0d6efd, #0d6efd);
  background: -o-linear-gradient(left, #0d6efd, #0d6efd);
  background: -moz-linear-gradient(left, #0d6efd, #0d6efd);
  background: linear-gradient(left, #0d6efd, #0d6efd);
}

.focus-efecto::after {
  font-family: Poppins-Regular;
  font-size: 15px;
  color: #999999;
  line-height: 1.2;

  content: attr(data-placeholder);
  display: block;
  width: 100%;
  position: absolute;
  top: 16px;
  left: 0px;
  padding-left: 5px;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}

.input100:focus+.focus-efecto::after {
  top: -15px;
}

.input100:focus+.focus-efecto::before {
  width: 100%;
}

.has-val.input100+.focus-efecto::after {
  top: -15px;
}

.has-val.input100+.focus-efecto::before {
  width: 100%;
}

/*---------------------------------------------*/


/*------------------------------------------------------------------
  [ Button ]*/
.container-login-form-btn {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-top: 13px;
}

.wrap-login-form-btn {
  width: 100%;
  display: block;
  position: relative;
  z-index: 1;
  border-radius: 10px 10px;
  overflow: hidden;
  margin: 0 auto;
}

.login-form-bgbtn {
  position: absolute;
  z-index: -1;
  width: 300%;
  height: 100%;
  background: #0d6efd;
  background: -webkit-linear-gradient(right, #03429D, #0d6efd, #03429D, #0d6efd);
  background: -o-linear-gradient(right, #03429D, #0d6efd, #03429D, #0d6efd);
  background: -moz-linear-gradient(right, #03429D, #0d6efd, #03429D, #0d6efd);
  background: linear-gradient(right, #03429D, #0d6efd, #03429D, #0d6efd);
  top: 0;
  left: -100%;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}

.login-form-btn {
  font-family: Poppins-Medium;
  font-size: 20px;
  color: #fff;
  line-height: 1.2;
  text-transform: uppercase;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  width: 100%;
  height: 50px;
}

.wrap-login-form-btn:hover .login-form-bgbtn {
  left: 0;
}

/* =======REGISTRAR=========================================================*/
.container-login-form-btn_R {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-top: 13px;
}

.wrap-login-form-btn_R {
  width: 100%;
  display: block;
  position: relative;
  z-index: 1;
  border-radius: 10px 10px;
  overflow: hidden;
  margin: 0 auto;
}

.login-form-bgbtn_R {
  position: absolute;
  z-index: -1;
  width: 300%;
  height: 100%;
  background: #209934;
  background: -webkit-linear-gradient(right, #039d18, #15fd0daf, #039d18, #15fd0daf);
  background: -o-linear-gradient(right, #21ff46, #15fd0daf, #039d18, #15fd0daf);
  background: -moz-linear-gradient(right, #21ff46, #15fd0daf, #039d18, #15fd0daf);
  background: linear-gradient(right, #21ff46, #15fd0daf, #039d18, #15fd0daf);
  top: 0;
  left: -100%;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}

.login-form-btn_R {
  font-family: Poppins-Medium;
  font-size: 20px;
  color: #fff;
  line-height: 1.2;
  text-transform: uppercase;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  width: 100%;
  height: 50px;
}

.wrap-login-form-btn_R:hover .login-form-bgbtn_R {
  left: 0;
}

/*--- Para dispositivos small responsive ---*/

@media (max-width: 576px) {
  .wrap-login {
    padding: 77px 15px 33px 15px;
  }
}


.footer-dark {
  padding: 50px 0;
  color: #f0f9ff;
  background-color: #282d32;
}

.footer-dark h3 {
  margin-top: 0;
  margin-bottom: 12px;
  font-weight: bold;
  font-size: 16px;
}

.footer-dark ul {
  padding: 0;
  list-style: none;
  line-height: 1.6;
  font-size: 14px;
  margin-bottom: 0;
}

.footer-dark ul a {
  color: inherit;
  text-decoration: none;
  opacity: 0.6;
}

.footer-dark ul a:hover {
  opacity: 0.8;
}

@media (max-width:767px) {
  .footer-dark .item:not(.social) {
    text-align: center;
    padding-bottom: 20px;
  }
}

.footer-dark .item.text {
  margin-bottom: 36px;
}

@media (max-width:767px) {
  .footer-dark .item.text {
    margin-bottom: 0;
  }
}

.footer-dark .item.text p {
  opacity: 0.6;
  margin-bottom: 0;
}

.footer-dark .item.social {
  text-align: center;
}

@media (max-width:991px) {
  .footer-dark .item.social {
    text-align: center;
    margin-top: 20px;
  }
}

.footer-dark .item.social>a {
  font-size: 20px;
  width: 36px;
  height: 36px;
  line-height: 36px;
  display: inline-block;
  text-align: center;
  border-radius: 50%;
  box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.4);
  margin: 0 8px;
  color: #fff;
  opacity: 0.75;
}

.footer-dark .item.social>a:hover {
  opacity: 0.9;
}

.footer-dark .copyright {
  text-align: center;
  padding-top: 24px;
  opacity: 0.3;
  font-size: 13px;
  margin-bottom: 0;
}


/* Estilos para la pantalla de carga */
.loader-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.999);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 1;
  opacity: 1;
  transition: opacity 1ms ease-in-out;
}

.loader-logo {
  margin-top: 7%;
  width: 20rem;
  height: 20rem;
}

.loader-message {
  text-align: center;
  font-size: 20px;
  margin-top: 5px;
}

/* Estilos para la animación de desvanecimiento */
.fade-out {
  opacity: 0;
  pointer-events: none;
}

/* Estilos para el contenido principal */
.content-s {
  display: none;
}

/* Estilos para la barra de progreso */
.loader-progress {
  width: 100%;
  max-width: 300px;
  height: 20px;
  background-color: #ddd;
  border-radius: 10px;
  margin-top: 20px;
  position: relative;
}

.loader-progress-bar {
  height: 100%;
  border-radius: 10px;

  width: 0;
  transition: width 0.2s ease;
}

.loader-progress-percent {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 14px;
  color: #30540E;
  font-weight: bold;
  font-size: 1.3rem;
}

/* Animación personalizada para la pantalla de carga */
@keyframes fadeInOut {

  0%,
  100% {
    opacity: 1;
  }

  100% {
    opacity: 1;
  }
}


/* Aplicar animación a la pantalla de carga */
.loader-container.fade-out {
  animation: fadeInOut 2s ease-in-out;
}


/*Barra de pagina 1 Boostrap*/

.pagination-bar {
  background-color: #5CA11B;
  border-radius: 10px;
  padding: 10px;
  display: flex;
  justify-content: center;
}

.pagination-bar .page-item {
  margin: 0 5px;
}

.pagination-bar .page-item .page-link {
  color: #fff;
  background-color: #5CA11B;
  border-color: #fff;
}

.pagination-bar .page-item .page-link:hover {
  background-color: #fff;
  color: #5CA11B;
}

.pagination-bar .page-item.active .page-link {
  background-color: #fff;
  color: #5CA11B;
}

/*bara de paginas 2*/
.wp-pagenavi {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  font-size: 16px;
}

.wp-pagenavi a {
  display: inline-block;
  padding: 6px 12px;
  margin: 0 3px;
  border: 1px solid #ccc;
  border-radius: 4px;
  color: #333;
  text-decoration: none;
  transition: background-color 0.3s ease;
  background-color: #9FDB67;
  /* Verde claro */
}

.wp-pagenavi a.current,
.wp-pagenavi a.active {
  background-color: #5CA11B;
  /* Verde más oscuro para la página actual */
  color: #fff;
}

.wp-pagenavi a:hover {
  background-color: #a6d2b4;
  /* Verde más claro al pasar el mouse */
}

.wp-pagenavi span.extend {
  margin: 0 3px;
}

.wp-pagenavi .pages {
  margin-right: 10px;
}

.wp-pagenavi a.nextpostslink,
.wp-pagenavi a.last {
  margin-left: 10px;
}

.container-bar {
  display: flex;
  justify-content: center;
  width: 100%;
  max-width: 300px;
  height: 20px;
  position: relative;
  margin-top: 20px;
}


.loader {
  width: 60%;
  height: 10px;
  border-radius: 2px;
  background-color: rgba(0, 0, 0, 0.2);
  position: absolute;
}

.loader::before {
  content: "";
  position: absolute;
  background-color: rgb(9, 188, 9);
  width: 0%;
  height: 100%;
  border-radius: 2px;
  animation: load 3.5s ease-in-out infinite;
  box-shadow: rgb(9, 188, 9) 0px 2px 29px 0px;
}

@keyframes load {
  50% {
    width: 100%;
  }

  100% {
    right: 0;
    left: unset;
  }
}


/*LOGIN
.info {
  zoom: 80%;
  display: flex;
  justify-content: center; 
  align-items: center; 
  width: auto;
  height: auto;
  margin-top: 8%;
}

.login-body {
  display: table;
  width: 10%;
  height: 10%;
}

.login-wrapper {
  width: 10%;
  height: 10%;
  display: table-cell;
  vertical-align: middle
}

.login-wrapper .loginbox {
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, .1);
  display: flex;
  margin: 1.875rem auto;

}

.login-wrapper .loginbox .login-left {
  align-items: center;
  background: #4eb500b2;
  flex-direction: column;
  justify-content: end;
  width: 400px;
  display: flex;
  background-blend-mode: multiply;
  border-radius: 8px 20px 20px 8px;
  position: relative
}

.login-wrapper .loginbox .login-left:before {
  content: "";
  background-image: url(../img/login-icon-01.png);
  position: absolute;
  top: 0;
  left: 0;
  width: 144px;
  height: 144px
}

.login-wrapper .loginbox .login-left:after {
  content: "";
  background-image: url(../img/login-icon-02.png);
  position: absolute;
  top: 0;
  right: 0;
  width: 144px;
  height: 144px
}

.login-wrapper .loginbox .login-right {
  align-items: center;
  display: flex;
  justify-content: center;
  padding: 40px;
  width: 400px
}

.login-wrapper .loginbox .login-right .login-right-wrap {
  max-width: 100%;
  flex: 0 0 100%
}

.login-wrapper .loginbox .login-right .login-right-wrap .form-group {
  position: relative
}

.login-wrapper .loginbox .login-right .login-right-wrap .form-group label {
  font-size: 13px;
  color: #ababab;
  font-weight: 500;
  position: absolute;
  top: -10px;
  left: 10px;
  background: #fff;
  margin-bottom: 0;
  padding: 0 5px
}

.login-danger,
.star-red {
  color: red
}

.login-wrapper .loginbox .login-right h1 {
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 5px;
  text-align: left
}

.account-subtitle {
  color: #aaa;
  font-size: 16px;
  margin-bottom: 1.875rem;
  text-align: left
}

.account-subtitle a {
  color: #18fa58
}

.login-wrapper .loginbox .login-right h2 {
  font-size: 23px;
  font-weight: 500;
  color: #000;
  margin-bottom: 28px
}

.login-wrapper .loginbox .login-right .forgotpass {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: 20px
}

.remember-me .custom_check {
  color: #878787;
  font-size: 14px;
  font-weight: 400
}

.remember-me .custom_check .checkmark {
  width: 20px;
  height: 20px;
  top: 0;
  border: 1px solid #c1ccdb
}

.login-wrapper .loginbox .login-right .forgotpass a {
  color: #18aefa;
  font-size: 15px;
  margin-left: auto
}

.login-wrapper .loginbox .login-right .forgotpass a:hover {
  color: #333;
  text-decoration: underline
}

.login-wrapper .loginbox .login-right .dont-have {
  color: #a0a0a0;
  margin: 20px 0
}

.login-wrapper .loginbox .login-right .dont-have a {
  color: #18aefa;
  font-weight: 500
}

.login-wrapper .loginbox .login-right .dont-have a:hover {
  text-decoration: underline
}

.social-login {
  text-align: center
}

.social-login>span {
  color: #a0a0a0;
  margin-right: 8px
}

.social-login>a {
  background-color: #ccc;
  border-radius: 4px;
  color: #000;
  display: inline-block;
  font-size: 18px;
  height: 32px;
  line-height: 32px;
  margin-right: 6px;
  text-align: center;
  width: 32px
}

.social-login>a:hover {
  background-color: #3d5ee1;
  color: #fff
}

.social-login>a i.fa-twitter,
.social-login>a i.fa-linkedin-in {
  color: #000
}

.social-login>a i.fa-twitter:hover,
.social-login>a i.fa-linkedin-in:hover {
  color: #fff
}

.social-login>a:last-child {
  margin-right: 0
}

.social-login>a.facebook {
  background-color: #4b75bd
}

.social-login>a.google {
  background-color: #fe5240
}

.login-or {
  color: #a0a0a0;
  margin-bottom: 20px;
  margin-top: 20px;
  padding-bottom: 10px;
  padding-top: 10px;
  position: relative
}

.or-line {
  background-color: #e5e5e5;
  height: 1px;
  margin-bottom: 0;
  margin-top: 0;
  display: block
}

.span-or {
  background-color: #fff;
  display: block;
  left: 50%;
  margin-left: -20px;
  position: absolute;
  text-align: center;
  text-transform: uppercase;
  top: 0;
  width: 42px
}

.btn-primary.primary-reset {
  background-color: #18aefa;
  border-color: #18aefa
}

.btn-primary.primary-reset:hover {
  background-color: #3d5ee1;
  border: 1px solid #3d5ee1
}

.profile-views {
  position: absolute;
  right: 17px;
  top: 50%;
  transform: translateY(-50%)
}*/

.form_container {
  width: fit-content;
  height: fit-content;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 15px;
  padding: 50px 40px 20px 40px;
  background-color: #ffffff;
  box-shadow: 0px 106px 42px rgba(0, 0, 0, 0.01),
    0px 59px 36px rgba(0, 0, 0, 0.05), 0px 26px 26px rgba(0, 0, 0, 0.09),
    0px 7px 15px rgba(0, 0, 0, 0.1), 0px 0px 0px rgba(0, 0, 0, 0.1);
  border-radius: 11px;
  font-family: "Inter", sans-serif;
}

.logo_container {
  box-sizing: border-box;
  width: 80px;
  height: 80px;
  background: linear-gradient(180deg, rgba(248, 248, 248, 0) 50%, #F8F8F888 100%);
  border: 1px solid #F7F7F8;
  filter: drop-shadow(0px 0.5px 0.5px #EFEFEF) drop-shadow(0px 1px 0.5px rgba(239, 239, 239, 0.5));
  border-radius: 11px;
}

.title_container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

.title {
  margin: 0;
  font-size: 1.25rem;
  font-weight: 700;
  color: #212121;
}

.subtitle {
  font-size: 0.725rem;
  max-width: 80%;
  text-align: center;
  line-height: 1.1rem;
  color: #8B8E98
}

.input_container {
  width: 100%;
  height: fit-content;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.icon {
  width: 20px;
  position: absolute;
  z-index: 99;
  left: 12px;
  bottom: 9px;
}

.input_label {
  font-size: 0.75rem;
  color: #8B8E98;
  font-weight: 600;
}

.input_field {
  width: auto;
  height: 40px;
  padding: 0 0 0 40px;
  border-radius: 7px;
  outline: none;
  border: 1px solid #e5e5e5;
  filter: drop-shadow(0px 1px 0px #efefef) drop-shadow(0px 1px 0.5px rgba(239, 239, 239, 0.5));
  transition: all 0.3s cubic-bezier(0.15, 0.83, 0.66, 1);
}

.input_field:focus {
  border: 1px solid transparent;
  box-shadow: 0px 0px 0px 2px #242424;
  background-color: transparent;
}

.sign-in_btn {
  width: 100%;
  height: 40px;
  border: 0;
  background: #115DFC;
  border-radius: 7px;
  outline: none;
  color: #ffffff;
  cursor: pointer;
}

.sign-in_ggl {
  width: 100%;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  background: #ffffff;
  border-radius: 7px;
  outline: none;
  color: #242424;
  border: 1px solid #e5e5e5;
  filter: drop-shadow(0px 1px 0px #efefef) drop-shadow(0px 1px 0.5px rgba(239, 239, 239, 0.5));
  cursor: pointer;
}

.sign-in_apl {
  width: 100%;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  background: #212121;
  border-radius: 7px;
  outline: none;
  color: #ffffff;
  border: 1px solid #e5e5e5;
  filter: drop-shadow(0px 1px 0px #efefef) drop-shadow(0px 1px 0.5px rgba(239, 239, 239, 0.5));
  cursor: pointer;
}

.separator {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  color: #8B8E98;
}

.separator .line {
  display: block;
  width: 100%;
  height: 1px;
  border: 0;
  background-color: #e8e8e8;
}

.note {
  font-size: 0.75rem;
  color: #8B8E98;
  text-decoration: underline;
}








.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  font-family: "Roboto", sans-serif;
}

a {
  -webkit-transition: .3s all ease;
  -o-transition: .3s all ease;
  transition: .3s all ease;
}

a:hover {
  text-decoration: none !important;
}

.content {
  padding: 7rem 0;
}

h2 {
  font-size: 20px;
}

.half,
.half .container>.row {
  height: 100vh;
}

@media (max-width: 991.98px) {
  .half .bg {
    height: 500px;
  }
}

.half .contents{
  width: 35%;
}


.half .bg {
  width: 65%;
}

/* Estilos para pantallas grandes */
@media (min-width: 768px) {
  .half .bg {
    width: 65%;  /* Muestra la imagen de fondo en pantallas grandes */
  }

  .half .contents {
    width: 35%;
  }
}

/* Estilos para pantallas pequeñas (dispositivos móviles) */
@media (max-width: 767px) {
  .half .bg {
    display: none; /* Oculta la imagen de fondo en pantallas pequeñas */
  }

  .half .contents {
    width: 100%; /* Ancho completo para el contenido en pantallas pequeñas */
  }
}






.half .contents .form-group,
.half .bg .form-group {
  margin-bottom: 0;
  border: 1px solid #efefef;
  padding: 15px 15px;
  border-bottom: none;
}

.half .contents .form-group.first,
.half .bg .form-group.first {
  border-top-left-radius: 7px;
  border-top-right-radius: 7px;
}

.half .contents .form-group.last,
.half .bg .form-group.last {
  border-bottom: 1px solid #efefef;
  border-bottom-left-radius: 7px;
  border-bottom-right-radius: 7px;
}

.half .contents .form-group label,
.half .bg .form-group label {
  font-size: 12px;
  display: block;
  margin-bottom: 0;
  color: #b3b3b3;
}

.half .contents .form-control,
.half .bg .form-control {
  border: none;
  padding: 0;
  font-size: 20px;
  border-radius: 0;
}

.half .contents .form-control:active,
.half .contents .form-control:focus,
.half .bg .form-control:active,
.half .bg .form-control:focus {
  outline: none;
  -webkit-box-shadow: none;
  box-shadow: none;
}

.half .bg {
  background-size: cover;
  background-position: center;
}

.half a {
  color: #888;
  text-decoration: underline;
}

.half .btn {
  height: 54px;
  padding-left: 30px;
  padding-right: 30px;
}

.half .forgot-pass {
  position: relative;
  top: 2px;
  font-size: 14px;
}

.control {
  display: flex;
  align-items: center;
  position: relative;
  padding-left: 15px; /* Ajustado para dejar espacio para el indicador */
  margin-bottom: 15px;
  cursor: pointer;
  font-size: 20px;
}

.control .caption {
  color: #888;
  margin-left: 10px; /* Espacio entre el indicador y la etiqueta */
}

.control input {
  position: absolute;
  z-index: -1;
  opacity: 0;
}

.control__indicator {
  position: absolute;
  top: 2px;
  left: 0;
  height: 20px;
  width: 20px;
  background: #e6e6e6;
  border-radius: 4px;
  transition: background 0.3s;
}

.control input:checked ~ .control__indicator {
  background: #007bff; /* Cambia el color del indicador cuando está marcado */
}

.control__indicator::before {
  content: "";
  position: absolute;
  top:0;
  left: 0;
  width: 20px;
  height: 20px;
  background: #fff;
  border-radius: 2px;
  transition: opacity 0.3s;
  opacity: 0;
}

.control input:checked ~ .control__indicator::before {
  opacity: 1;
}

.control__indicator i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #007bff;
}



/*Check contraseña*/
.btn-lock {
  position: absolute;
  top: calc(50% - 32px);
  left: calc(50% - 32px);
  display: inline-block;
  background: #ff5b5b;
  width: 64px;
  height: 64px;
  box-sizing: border-box;
  padding: 12px 0 0 18px;
  border-radius: 50%;
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
}

.btn-lock svg {
  fill: none;
  transform: translate3d(0, 0, 0);
}

.btn-lock svg .bling {
  stroke: #fff;
  stroke-width: 2.5;
  stroke-linecap: round;
  stroke-dasharray: 3;
  stroke-dashoffset: 15;
  transition: all 0.3s ease;
}

.btn-lock svg .lock {
  stroke: #fff;
  stroke-width: 4;
  stroke-linejoin: round;
  stroke-linecap: round;
  stroke-dasharray: 36;
  transition: all 0.4s ease;
}

.btn-lock svg .lockb {
  fill: #fff;
  fill-rule: evenodd;
  clip-rule: evenodd;
  transform: rotate(8deg);
  transform-origin: 14px 20px;
  transition: all 0.2s ease;
}

#inpLock {
  display: none;
}

#inpLock:checked + label {
  background: #20cca5;
}

#inpLock:checked + label svg {
  opacity: 1;
}

#inpLock:checked + label svg .bling {
  animation: bling6132 0.3s linear forwards;
  animation-delay: 0.2s;
}

#inpLock:checked + label svg .lock {
  stroke-dasharray: 48;
  animation: locked 0.3s linear forwards;
}

#inpLock:checked + label svg .lockb {
  transform: rotate(0);
  transform-origin: 14px 22px;
}

@keyframes bling6132 {
  50% {
    stroke-dasharray: 3;
    stroke-dashoffset: 12;
  }

  100% {
    stroke-dasharray: 3;
    stroke-dashoffset: 9;
  }
}

@keyframes locked {
  50% {
    transform: translateY(1px);
  }
}



